import 'dart:async';

import 'package:flutter/services.dart';

import 'models/bluetooth_models.dart';

class BluetoothManager {
  static const MethodChannel _channel = MethodChannel('bluetooth_manager');

  static Future<String?> get platformVersion async {
    final String? version = await _channel.invokeMethod('getPlatformVersion');
    return version;
  }

  static Future<State?> get getBluetoothState async {
    final State state;
    try {
      state = enumFromString(
          State.values, await _channel.invokeMethod('getBluetoothState'));
    } catch (e) {
      rethrow;
    }
    return state;
  }

  static Future<ActionResponse?> enableBluetooth() async {
    final ActionResponse actionResponse;
    try {
      actionResponse = enumFromString(ActionResponse.values,
          await _channel.invokeMethod('enableBluetooth'));
    } catch (e) {
      rethrow;
    }
    return actionResponse;
  }

  static Future<ActionResponse?> disableBluetooth() async {
    final ActionResponse actionResponse;
    try {
      actionResponse = enumFromString(ActionResponse.values,
          await _channel.invokeMethod('disableBluetooth'));
    } catch (e) {
      rethrow;
    }
    return actionResponse;
  }
}
